![bioSyntax Logo](bioSyntax_logo.png)
![Fasta Banner](http://biosyntax.org/images/fa-banner.png)

Syntax highlighting for computational biology to bring you intuitively close to your data.

Support in **vim**, **less**, **sublime3** & **gedit** for `.sam`, `.flagstat`, `.vcf`, `.fasta`, `.fastq`, `.faidx`, `.clustal`, `.pdb`, `.gtf`, `.bed` files & more.

# [bioSyntax.org](http://biosyntax.org/)

### We'd like to know how bioSyntax can be developed to help your workflow. [Tell us what you think! (~5m)](https://goo.gl/forms/YO89fEPw71JpH3Ac2)

# [Mozilla Sprint 2018 Updates](https://www.mozillapulse.org/entry/655)
- [Find out](https://github.com/bioSyntax/bioSyntax/issues/38) how you can contribute!
- Date: May 10 - May 11 (9:00 am - 5:00 pm PST)
- On-Site Location: Mozilla Vancouver, #209-163 W Hastings St, Vancouver, BC V6B 1H5, Canada (NOTE: No on-site parking available)
- Join us for the pre-Sprint [Demo Call](https://public.etherpad-mozilla.org/p/ol5-demos-b) on Tuesday, May 8, 16:00 UTC to learn more about the project!

**CONTACT:**
- Project Lead: Alyssa Fegen ([alyssafegen at alumni.ubc.ca](mailto:alyssafegen@alumni.ubc.ca)); will be on-site
- [Slack Channel](https://join.slack.com/t/biosyntax/shared_invite/enQtMzU5OTAwNTc0MjI5LTIxNGU4YzQ1ODljZjg0OTE2M2Y5MDY0MjUwOTA4ZjIwMjVjYjgzNTA5ZGM1ZTliNDMwMGUxMmUzOTI3YWMwOTk) (NOTE: Invite link expires on May 13; contact dev team for invites subsequently)
- [Discord Server](https://discord.gg/PAD6y4p) (NOTE: Invite link expires on May 13; contact dev team for invites subsequently)

## Usage
bioSyntax integrates seamlessly with your text editor, recognizing data-type by the file extension or streamed into `less`.

To gain the most insight from your data, read our brief [bioSyntax Manual](http://bioSyntax.org/man).

## [Download Latest Release](https://www.bioSyntax.org/release)

## [Install](http://bioSyntax.org/install)

## [Screenshots](http://biosyntax.org/screenshots)

`samtools view -h NA19238.bam | sam-less - `
![sam-less](http://biosyntax.org/images/sam-less-small.gif)

*************************************************

### Code of Conduct

This project is participating in the Mozilla Festival 2018, and as such, respects Mozilla's [community participation guidelines](https://www.mozilla.org/en-US/about/governance/policies/participation/). This serves as a guideline for the behaviour of all participants, remote or local, as well as project leads, facilitators, staff, volunteers, vendors, and anyone else involved in making the Mozilla Global Sprint possible.

### [Collaborate](CONTRIBUTING.md)

Dev Team: [Artem Babaian](https://github.com/ababaian) | [Anicet Ebou](https://github.com/ebedthan) | [Alyssa Fegen](https://github.com/alyeffy) | [Jeffrey Kam](https://github.com/lazypanda10117) | [Gherman Novakovskiy](https://github.com/fransilvion) | [Li Yao](https://github.com/liyao001) | [Jasper Wong](https://github.com/Jwong684)

Contact us: [info[AT]biosyntax.org](mailto:info@biosyntax.org)

A [hackseq17](https://www.hackseq.com) Initiative.
